#!/usr/bin/make -f

export PYBUILD_NAME=aalib

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	dh_auto_test -- \
		--system=custom \
		--test-args="make -C {dir}/test smoke-test abi-test PYTHON={interpreter}"

override_dh_auto_clean:
	$(MAKE) -C test clean
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog
